{#
/**
 * @file
 * Twitter Bootstrap v4 Sliding pagination control implementation.
 *
 * View that can be used with the pagination module
 * from the Twitter Bootstrap CSS Toolkit
 * https://getbootstrap.com/docs/4.5/components/pagination/
 *
 */
#}
{% if pageCount > 1 %}
<nav>
    {% set classAlign = (align is not defined) ? '' : align=='center' ? ' justify-content-center' : (align=='right' ? ' justify-content-end' : '') %}
    {% set classSize = (size is not defined) ? '' : size=='large' ? ' pagination-lg' : (size=='small' ? ' pagination-sm' : '') %}
    <ul class="pagination{{ classAlign }}{{ classSize }}">

        {% if previous is defined %}
        <li class="page-item">
            <a class="page-link" rel="prev"
                href="{{ path(route, query|merge({(pageParameterName): previous})) }}"><i class="fas fa-chevron-left"></i>{{ ''|trans({}, 'KnpPaginatorBundle') }}</a>
        </li>
        {% else %}
        <li class="page-item disabled">
            <span class="page-link"><i class="fas fa-chevron-left"></i>{{ ''|trans({}, 'KnpPaginatorBundle') }}</span>
        </li>
        {% endif %}

        {% if startPage > 1 %}
        <li class="page-item">
            <a class="page-link" href="{{ path(route, query|merge({(pageParameterName): 1})) }}">1</a>
        </li>
        {% if startPage == 3 %}
        <li class="page-item">
            <a class="page-link" href="{{ path(route, query|merge({(pageParameterName): 2})) }}">2</a>
        </li>
        {% elseif startPage != 2 %}
        <li class="page-item disabled">
            <span class="page-link">&hellip;</span>
        </li>
        {% endif %}
        {% endif %}

        {% for page in pagesInRange %}
        {% if page != current %}
        <li class="page-item">
            <a class="page-link" href="{{ path(route, query|merge({(pageParameterName): page})) }}">{{ page }}</a>
        </li>
        {% else %}
        <li class="page-item active">
            <span class="page-link">{{ page }}</span>
        </li>
        {% endif %}

        {% endfor %}

        {% if pageCount > endPage %}
        {% if pageCount > (endPage + 1) %}
        {% if pageCount > (endPage + 2) %}
        <li class="page-item disabled">
            <span class="page-link">&hellip;</span>
        </li>
        {% else %}
        <li class="page-item">
            <a class="page-link"
                href="{{ path(route, query|merge({(pageParameterName): (pageCount - 1)})) }}">{{ pageCount -1 }}</a>
        </li>
        {% endif %}
        {% endif %}
        <li class="page-item">
            <a class="page-link"
                href="{{ path(route, query|merge({(pageParameterName): pageCount})) }}">{{ pageCount }}</a>
        </li>
        {% endif %}

        {% if next is defined %}
        <li class="page-item">
            <a class="page-link" rel="next"
                href="{{ path(route, query|merge({(pageParameterName): next})) }}">{{ ''|trans({}, 'KnpPaginatorBundle') }}<i class="fas fa-chevron-right"></i></a>
        </li>
        {% else %}
        <li class="page-item disabled">
            <span class="page-link">{{ ''|trans({}, 'KnpPaginatorBundle') }}<i class="fas fa-chevron-right"></i></span>
        </li>
        {% endif %}
    </ul>
</nav>
{% endif %}
